package com.bocloud.cmp.provider.security;

import com.bocloud.cmp.model.UserModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface UserProvider extends SuperProvider {
    default BocloudResult list(UserModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult create(UserModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult update(UserModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(UserModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult listKey(Long userId) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult hasChild(Long userId) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult lock(UserModel model) {
        return new BocloudResult(false, "暂不支持");
    }
}
